﻿using System;

namespace Bridge
{
    class Camera
    {
        Lens lens = null;
        public int ModuleCount
        {
            get
            {
                if(lens!=null)
                {
                    return lens.ModuleCount;
                }
                return -1;
            }
        }
        public void PutInLens(Lens lens)
        {
            this.lens = lens;
        }
        public void TakeAPicture(string subject,int distance)
        {
            Console.WriteLine("피사체:{0}",subject);
            string picture = "■";
            if(lens!=null)
            {
               picture = lens.Take(subject,distance);
            }	
            Console.WriteLine("사진:{0}",picture);
            
        }
        public void FocusUp()
        {
            if(lens!=null)
            {
                lens.FocusUp();
            }
        }
        public void FocusDown()
        {
            if(lens!=null)
            {
                lens.FocusDown();
            }
        }
        public void SetModuleIndex(int index)
        {
            if(lens!=null)
            {
                lens.SetModuleIndex(index);
            }
        }       

    }
}
